// ==============================================================================================-
// main.h : main header file for this project
// ==============================================================================================-

#if !defined(_MAIN_H_)
#define _MAIN_H_

#include "windows.h"
#include "stdio.h"
#include "commctrl.h"
#include "commdlg.h"
#include "resource.h"


// ==============================================================================================-
// definitions
//
#define NAME_SIZE 128
#define ARGS_SIZE 256
#define PATH_SIZE 512


// ==============================================================================================-
// the global application object

#include "MainApp.h"
extern MainApp theApp;


// ==============================================================================================-
// the WindowProc-proc

extern LRESULT CALLBACK WndProc(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);


// ==============================================================================================-
// the WinMain-proc

extern int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE, LPSTR lpCmdLine, int nCmdShow);


#endif